# CbcFeasibilityBase Class Reference

`#include <CbcFeasibilityBase.hpp>`

List of all members.

## Public Member Functions
| CbcFeasibilityBase ()
virtual int | feasible (CbcModel *, int)
| On input mode: 0 - called after a solve but before any cuts -1 - called after strong branching Returns : 0 - no opinion -1 pretend infeasible 1 pretend integer solution.
virtual | ~CbcFeasibilityBase ()
| CbcFeasibilityBase (const CbcFeasibilityBase &)
CbcFeasibilityBase & | operator= (const CbcFeasibilityBase &)
virtual CbcFeasibilityBase * | clone () const
| Clone.

## Detailed Description

Definition at line 22 of file CbcFeasibilityBase.hpp.

## Constructor & Destructor Documentation

CbcFeasibilityBase::CbcFeasibilityBase | ( |  | ) | `[inline]`

Definition at line 25 of file CbcFeasibilityBase.hpp.

virtual CbcFeasibilityBase::~CbcFeasibilityBase | ( |  | ) | `[inline, virtual]`

Definition at line 40 of file CbcFeasibilityBase.hpp.

CbcFeasibilityBase::CbcFeasibilityBase | ( | const CbcFeasibilityBase & |  | ) | `[inline]`

Definition at line 43 of file CbcFeasibilityBase.hpp.

## Member Function Documentation

virtual int CbcFeasibilityBase::feasible | ( | CbcModel * | ,
|  | int |  |
| ) |  |  | `[inline, virtual]`

On input mode: 0 - called after a solve but before any cuts -1 - called after strong branching Returns : 0 - no opinion -1 pretend infeasible 1 pretend integer solution.

Definition at line 36 of file CbcFeasibilityBase.hpp.

CbcFeasibilityBase& CbcFeasibilityBase::operator= | ( | const CbcFeasibilityBase & |  | ) | `[inline]`

Definition at line 46 of file CbcFeasibilityBase.hpp.

virtual CbcFeasibilityBase* CbcFeasibilityBase::clone | ( |  | ) | const`[inline, virtual]`

Clone.

Definition at line 51 of file CbcFeasibilityBase.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.7/Cbc/src/CbcFeasibilityBase.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines